package localizer

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/setting"
)

type RepositoryContract interface {
	GetCode() string
	Save(code string) setting.Setting
}

type Repository struct {
	settingRepository setting.RepositoryContract
}

func NewRepository(settingRepository setting.RepositoryContract) *Repository {
	return &Repository{settingRepository: settingRepository}
}

func (r Repository) GetCode() string {
	return r.settingRepository.GetValue("language")
}

func (r Repository) Save(code string) setting.Setting {
	return r.settingRepository.CreateOrUpdate("language", code)
}
